/* Variables */
:root {
    --color-blue: #2c46a7;
    --color-blue-shade: #3757c4;
    --color-green-base: #2f4a07;
    --color-green: #145b14;
    --color-green-hover: #228522;
    --color-bg-light: rgb(126, 183, 240);
    --color-white: #ffffff;
    --color-orange: #5be14f;
    --color-blue-light: #4cb563;
    --color-blue-dark: #386885;
    --color-white-transparent: rgba(255, 255, 255, 0.1);
    --color-white-border: rgba(255, 255, 255, 0.2);
}

/* Base Styles */
body {
    line-height: 1.7;
}

figure {
    margin: 0;
    padding: 0;
}

/* Layout */
.content-wrapper {
    flex-grow: 1;
    flex-shrink: 0;
}

footer {
    flex-shrink: 0;
}

.box-layout .content-wrapper,
.box-layout footer {
    width: 100%;
    max-width: 1550px !important;
    margin: 0 auto;
    position: relative;
}

/* Background Styles */
.bg-lines {
    position: relative;
    background-color: var(--color-blue-dark);
}

.bg-lines:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url(images/lines.png) no-repeat center center;
    background-size: cover;
    pointer-events: none;
}

/* Typography */
.text-sm {
    font-size: 0.90rem;
}

p.lead strong {
    font-weight: 600;
}

.main-title {
    font-size: 3.5rem;
    font-weight: 800;
    line-height: 1.2;
    color: var(--color-white);
}

.main-title-sub {
    font-size: 1.5rem;
}

h3.evidence {
    color: var(--color-blue-dark);
    font-weight: 700;
}

.text-bigger-orange {
    font-size: 1.75rem;
    color: var(--color-orange);
}

/* Components */
.cta-phone a {
    color: var(--color-orange);
    text-decoration: none;
}
.cta-card {
    background: var(--color-white-transparent);
    backdrop-filter: blur(10px);
    border-radius: 20px;
    padding: 3rem;
    border: 1px solid var(--color-white-border);
}

.btn-cta {
    padding: 1rem 2.5rem;
    font-size: 1.1rem;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 1px;
    background: var(--color-blue-dark);
    color: var(--color-white);
    border: none;
    border-radius: 50px;
    transition: all 0.3s ease;
}

.btn-cta:hover {
    transform: translateY(-3px);
    box-shadow: var(--color-blue-dark);
    background: var(--color-blue-dark);
    color: var(--color-white);
}

/* Sections */
.section-mister-mosquito .container {
    background-image: none;
    background-size: auto;
    background-position: right center;
    background-repeat: no-repeat;
}


.section-why-protect {
    a {
        color: var(--color-orange);
        font-weight: 600;
    }

    .card {
        background-color: var(--color-blue-light);
        color: var(--color-white);

        img {
            max-width: 100px;
            margin-right: 20px;
        }
    }
}

.industry-in-brescia .container {
    background-image: url('images/bg/office.jpg');
    background-size: cover;
    background-position: right center;
    background-repeat: no-repeat;
}

/* Utils */
.text-center {
    text-align: center !important;
}

.position-relative {
    position: relative !important;
}

.h-64 {
    height: 64px;
}

.h-300 {
    height: 300px;
}

.pt-7 {
    padding-top: 7rem !important;
}

.pb-12dot5 {
    padding-bottom: 12.5rem !important;
}

.mt-n4dot5 {
    margin-top: -4.5rem !important;
}

/* Media Queries */
@media (min-width: 768px) {
    .pt-md-9 {
        padding-top: 9rem !important;
    }

    .business-brescia {
        padding-left: 10rem;
    }

    .section-mister-mosquito .section-content {
        padding-right: 10rem;
    }
    .section-mister-mosquito .container {
        background-image: url('images/phone.png');
    }
}

@media (min-width: 992px) {
    .mt-lg-n9dot5 {
        margin-top: -9.5rem !important;
    }

    .pb-lg-17dot5 {
        padding-bottom: 17.5rem !important;
    }

    .business-brescia {
        padding-left: 20rem;
    }

    .section-mister-mosquito .section-content {
        padding-right: 20rem;
    }
    .section-mister-mosquito .container {
        background-image: url('images/phone.png');
    }
}

/* Stili generali per i box */
.box {
    display: flex;
    flex-direction: column; /* Ordine colonna per immagine sopra il testo */
    justify-content: space-between;
  }
  
  .box-text {
    flex: 2; /* 2/3 del box */
    padding: 1rem;
  }
  
  .box-text h3 {
    color: var(--color-blue-dark); /* Colore specifico per gli h3 */
    margin-bottom: 0.5rem;
  }
  
  .box-image {
    flex: 1; /* 1/3 del box */
  }
  
  .box-image img {
    width: 100%;
    height: auto;
    object-fit: cover;
  }
  
  /* Ottimizzazione per il layout su desktop */
  @media (min-width: 992px) {
    .col-lg-4 {
      max-width: 33.33%; /* 3 box per riga su schermi grandi */
    }
  }
  
  /* Ottimizzazione per il layout su dispositivi mobili */
  @media (max-width: 767px) {
    .box {
      flex-direction: column; /* Immagini sopra il testo su dispositivi mobili */
    }
  
    .box-text, .box-image {
      padding: 1rem;
    }
  }
  
  #specific-heading {
    color: var(--color-blue-dark);
  }

  
  